aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2018-02-19 09:14:26 +1300
committerTom Ryder <tom@sanctum.geek.nz>2018-02-19 09:14:26 +1300
commit73c036997c5eac8340fddebf2e40a1989df4c145 (patch)
tree1f3401afddcd78706faa2d8356bccbe3b752102d
parentStrip README trailing blank line (diff)
downloadnwatch-73c036997c5eac8340fddebf2e40a1989df4c145.tar.gz
nwatch-73c036997c5eac8340fddebf2e40a1989df4c145.zip
Show only --open ports
-rwxr-xr-xbin/nwatch2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/nwatch b/bin/nwatch
index 03ef0ab..3579c9b 100755
--- a/bin/nwatch
+++ b/bin/nwatch
@@ -47,7 +47,7 @@ cache=$cachedir/${self}.scan.${date}
diff=$cachedir/${self}.diff.${date}
# Run the scan or give up
-if ! nmap -v -T4 -sV -iL "$hostlist" -oA "$cache" >/dev/null ; then
+if ! nmap -v -T4 -sV --open -iL "$hostlist" -oA "$cache" >/dev/null ; then
exit 1
fi